Bug 300565 - When selecting folders, subfolders are not selected
Summary: When selecting folders, subfolders are not selected
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Advanced (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-24 16:45 UTC by Axel Krebs
Modified: 2017-08-18 09:07 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2012-05-24 16:45:24 UTC
When using "extended search", one has to select specific folders. 

Whereas subfolders are selected too, when selecting folders at other places, in "extended search" this option does not work, unfortutately. 

Therefore, one is forced to select each foider seperateley. 

With 2614 subfolders this is no option.

(digiKam version 2.5.0
Bilder: 
BMP: 1
GIF: 100
JP2: 16
JPEG: 28
JPG: 108413
NIKON-NEF: 27
PGF: 2
PNG: 1355
RAW-CR2: 632
RAW-CRW: 15778
RAW-DNG: 7
RAW-NEF: 62563
TIFF: 1573
XCF: 1
Gesamt: 190496
: 
: 
Videos: 
AVI: 73
MOV: 16
MPEG: 2
Gesamt: 91
: 
: 
Gesamtzahl der Einträge: 190587
Alben: 2614
Stichwörter: 79
Datenbanktreiber: QSQLITE
)
 

Reproducible: Always

Steps to Reproduce:
1. selection is one of the basic working features
2.
3.


Expected Results:  
when selecting folders within extended search, each subfolder must be included by default.
Comment 1 caulier.gilles 2015-05-16 11:09:34 UTC
Maik,

Add a new option to select/deselect sub-dirs in albumSelector will help, not only in Advanced Search tool.

Gilles
Comment 2 caulier.gilles 2015-05-16 12:53:56 UTC
Maik,

Note : there is an option already for Tags tree view to select/deselect recursively. Look in Caption & Tags sidebar context menu.

Gilles
Comment 3 Maik Qualmann 2015-06-11 21:01:06 UTC
I have a patch ready, where now in the advanced search the "AlbumTreeViewSelectComboBox" and the "TagTreeViewSelectComboBox" is used with a context menu. Now I've noticed that the search generally searched in the subalbums. Actually, the current state is sufficient.

Maik
Comment 4 caulier.gilles 2015-06-21 13:32:22 UTC
Maik, 

But in the GUI, nothing indicate that recursive search is active or not.

Also, having this feature optional can be a plus. The way to turn on/off this feature through contextual menu is good.

Gilles
Comment 5 caulier.gilles 2016-07-06 19:45:42 UTC
Maik, 

This file still valid for 5.0.0 ?

Gilles
Comment 6 Mario Frank 2017-04-05 15:03:55 UTC
In https://bugs.kde.org/show_bug.cgi?id=353331 ,
a patch will be submitted that introduces context menus for album and tag selection where subtrees can be marked explicitly. With the patch, subtrees are not used automatically. The user can decide himself.
Comment 7 Mario Frank 2017-04-11 17:31:42 UTC
Git commit 660782be8137d8448ef10e5e944a2dd213d781cc by Mario Frank.
Committed on 11/04/2017 at 17:27.
Pushed by mfrank into branch 'master'.

Added an overall improvement of fuzzy, duplicates and extended search.
1) Users can now restrict the results of fuzzy image/drop/sketch search to be in specific albums.
2) Users can now select both tags and albums in duplicates search and restrict the set of images in which duplicates are searched with logical operations (in selected albums or/and tags, in selected albums but not tags and vice versa and only in
selected objects of current tab)
3) In extended search, the tags selection can also be restricted such that images must be either tagged with at least one of or with all selected tags.
Related: bug 353331, bug 183425

M  +7    -1    NEWS
M  +31   -3    app/utils/searchmodificationhelper.cpp
M  +11   -0    app/utils/searchmodificationhelper.h
A  +307  -0    libs/album/albumselectioncomponent.cpp     [License: UNKNOWN]  *
A  +121  -0    libs/album/albumselectioncomponent.h     [License: GPL (v2+)]
M  +248  -173  libs/album/albumselectors.cpp
M  +34   -19   libs/album/albumselectors.h
M  +7    -0    libs/database/coredb/coredbsearchxml.cpp
M  +1    -0    libs/database/coredb/coredbsearchxml.h
M  +1    -0    libs/database/dbjobs/dbjob.cpp
M  +11   -0    libs/database/dbjobs/dbjobinfo.cpp
M  +4    -0    libs/database/dbjobs/dbjobinfo.h
M  +119  -30   libs/database/haar/haariface.cpp
M  +30   -8    libs/database/haar/haariface.h
M  +32   -10   libs/database/item/imagelister.cpp
M  +44   -0    libs/database/item/imagequerybuilder.cpp
M  +6    -4    libs/settings/applicationsettings.cpp
M  +3    -0    libs/settings/applicationsettings.h
M  +11   -0    libs/settings/applicationsettings_miscs.cpp
M  +1    -0    libs/settings/applicationsettings_p.cpp
M  +2    -0    libs/settings/applicationsettings_p.h
M  +1    -1    utilities/facemanagement/facescandialog.cpp
M  +69   -22   utilities/fuzzysearch/findduplicatesview.cpp
M  +83   -21   utilities/fuzzysearch/fuzzysearchview.cpp
M  +1    -0    utilities/fuzzysearch/fuzzysearchview.h
M  +6    -1    utilities/maintenance/duplicatesfinder.cpp
M  +1    -1    utilities/maintenance/duplicatesfinder.h
M  +4    -4    utilities/maintenance/maintenancedlg.cpp
M  +2    -1    utilities/maintenance/maintenancemngr.cpp
M  +72   -27   utilities/searchwindow/searchfields.cpp
M  +18   -4    utilities/searchwindow/searchfields.h

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


https://commits.kde.org/digikam/660782be8137d8448ef10e5e944a2dd213d781cc